Admiral

User

Retrieve current user profile

GET
/v1/user/me

Scope: any authenticated key (no specific scope required).

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/user/me"
{  "user": {    "id": "string",    "email": "string",    "email_verified": true,    "display_name": "string",    "given_name": "string",    "family_name": "string",    "avatar_url": "string",    "created_at": "2023-01-15T01:30:15.01Z",    "updated_at": "2023-01-15T01:30:15.01Z",    "role": "USER_ROLE_UNSPECIFIED",    "status": "USER_STATUS_UNSPECIFIED"  }}